OGRE: Ogre::OctreeZoneData Class Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::OctreeZoneData Class Reference
Plugins » OctreeZone

`#include <OgreOctreeZone.h>`

Inheritance diagram for Ogre::OctreeZoneData:
[legend]

## Public Member Functions
| OctreeZoneData (PCZSceneNode *, PCZone *)
| Standard Constructor.
| ~OctreeZoneData ()
| Standard destructor.
bool | _isIn (AxisAlignedBox &box)
Octree * | getOctant ()
| Returns the Octree in which this OctreeNode resides.
void | setOctant (Octree *o)
| Sets the Octree in which this OctreeNode resides.
void | update (void) override
| Update data.
Public Member Functions inherited from Ogre::ZoneData
| ZoneData (PCZSceneNode *, PCZone *)
| Standard Constructor.
virtual | ~ZoneData ()
| Standard destructor.

## Public Attributes
Octree * | mOctant
| Octree this node is attached to.
AxisAlignedBox | mOctreeWorldAABB
| Octree-specific world bounding box (only includes attached objects, not children).
Public Attributes inherited from Ogre::ZoneData
PCZSceneNode * | mAssociatedNode
PCZone * | mAssociatedZone

## Constructor & Destructor Documentation

## ◆ OctreeZoneData()

Ogre::OctreeZoneData::OctreeZoneData | ( | PCZSceneNode * | ,
|  | PCZone * | )

Standard Constructor.

## ◆ ~OctreeZoneData()

Ogre::OctreeZoneData::~OctreeZoneData | ( |  | ) |

Standard destructor.

## Member Function Documentation

## ◆ update()

void Ogre::OctreeZoneData::update | ( | void |  | ) |
| overridevirtual

Update data.

Reimplemented from Ogre::ZoneData.

## ◆ getOctant()

Octree * Ogre::OctreeZoneData::getOctant | ( |  | ) |
| inline

Returns the Octree in which this OctreeNode resides.

References mOctant.

## ◆ setOctant()

void Ogre::OctreeZoneData::setOctant | ( | Octree * | o | ) |
| inline

Sets the Octree in which this OctreeNode resides.

References mOctant.

## ◆ _isIn()

bool Ogre::OctreeZoneData::_isIn | ( | AxisAlignedBox & | box | ) |

## Member Data Documentation

## ◆ mOctant

Octree* Ogre::OctreeZoneData::mOctant

Octree this node is attached to.

Referenced by getOctant(), and setOctant().

## ◆ mOctreeWorldAABB

AxisAlignedBox Ogre::OctreeZoneData::mOctreeWorldAABB

Octree-specific world bounding box (only includes attached objects, not children).

The documentation for this class was generated from the following file:

- OgreOctreeZone.h